#include <htc.h>

/*-------------------PORT INIT---------------------*/
void	port_init(void)
{

	ANSEL=0b00000000;	
	ANSELH=0b00010000;	/* AN12 */

	TRISA=0b00000000;	/* RA:OUTPUT */
	TRISB=0b00000011;	/* RB0,RB1:INPUT */
	TRISC=0b00111000;	/* RC0,RC1,RC2,RC6,RC7:OUTPUT */

	WPUB=0b00000000;
	ADCON0=0b10110000;	/* Fosc/32,AN12 */
	ADCON1=0b10000000;	/* ADFM=0,Vss,Vdd */

	PORTA=0x00;
	PORTB=0x01;
	PORTC=0x3f;

}